#
# spec file for package libopenshot-audio
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 7

Name:           libopenshot-audio
Version:        0.2.0+5
Release:        bp153.1.17
Summary:        Audio library for the OpenShot video editor
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://openshot.org/
Source0:        %{name}-%{version}.tar.xz
Source99:       %{name}.changes

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)

%description
The OpenShot Audio Library allows editing and playback of audio.
It was derived from the JUCE library.

%package -n     %{name}%{sover}
Summary:        Audio library for the OpenShot video editor
Group:          System/Libraries

%description -n %{name}%{sover}
The OpenShot Audio Library allows editing and playback of audio.
It was derived from the JUCE library.

This package contains the shared library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sover} = %{version}

%description    devel
The OpenShot Audio Library.

This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%autosetup -p1

%build
export SOURCE_DATE_EPOCH=$(date +%s -r %{S:99})
%cmake \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
	%{nil}
%cmake_build

%install
%cmake_install

%post   -n %{name}%{sover} -p /sbin/ldconfig
%postun -n %{name}%{sover} -p /sbin/ldconfig

%files -n %{name}%{sover}
%doc AUTHORS
%license COPYING
%{_libdir}/%{name}.so.*

%files devel
%{_bindir}/openshot*
%{_libdir}/%{name}.so
%{_includedir}/%{name}
%{_mandir}/man?/openshot*

%changelog
* Thu Mar 12 2020 hpj@urpla.net
- Update to version 0.2.0+5:
  * Updating auto-stale conditions (90 days warning, 10 days to respond, only issues, ignore assigned issues)
  * Adding stale bot for github issue management
  * Adding -dev2 to version (merging master back to develop)
  * Release branch for 0.2.0 (SO 7)
  * CMake: Add hex-version helper source (#89)
  * Travis: Remove homebrew (too slow) (#87)
  * Accidental version revert
  * Fix broken hex logic
  * Updating HEX version for 0.2.0: 0x200
* Sun Aug 18 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to current master (devel) branch, fixes build for Factory.
- Run spec-cleaner, use modern macros.
* Fri May  3 2019 Adrian Schröter <adrian@suse.de>
- update to version 0.1.8
  * just internal code organisation changes
* Mon Sep 24 2018 Adrian Schröter <adrian@suse.de>
- update to version 0.1.7
  * version update only
* Mon Jul  2 2018 adrian@suse.de
- update to version 0.1.6
  * soname change only
* Tue Mar  6 2018 adrian@suse.de
- update to version 0.1.5
  * soname change only
* Fri Jan 13 2017 jengelh@inai.de
- Update descriptions
* Thu Jan 12 2017 adrian@suse.de
- adapt for openSUSE Factory
* Thu Oct 20 2016 avvissu@yandex.by
- Initial package
